Package org.apache.datasketches.sampling

# Class VarOptItemsSamples.WeightedSample

java.lang.Object
org.apache.datasketches.sampling.VarOptItemsSamples.WeightedSample

Enclosing class:
  VarOptItemsSamples<T>

public final class VarOptItemsSamples.WeightedSample extends Object
A convenience class to allow easy iterator access to a VarOpt sample.

## Method Summary

Modifier and Type
Method
Description
`T`
`getItem()`
Accesses the iterator's current object
`double`
`getWeight()`
Accesses the iterator's current weight value

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getItem

public T getItem()
Accesses the iterator's current object

Returns:
  An item from the sketch's data sample

### getWeight

public double getWeight()
Accesses the iterator's current weight value

Returns:
  A weight from the sketch's data sample